//lighttest 1 -- surfacelight was 300 (too bright)
//lighttest 2 -- surfacelight was 90 (seemed good)
//lightest 3 -- upped sunlight intensity from 60 to 70
//lightest 4 -- drop surfacelight to 80   ... took four times as long to compile
//pyrmageddon_pj10  light too dark.
//pyrmageddon_pj11  Up sunlight by 5, change angle


textures/pyrmageddon/jet
{
     qer_editorimage models/mapobjects/jets/jet_1.tga
     surfaceparm trans
     nomipmaps
	surfaceparm noimpact
//	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
     cull disable
        {
		map models/mapobjects/jets/jet_1.tga
                blendFunc add
                tcmod scale  .5  1
                tcmod scroll 6 0
                rgbGen identity
	}
        {
		map models/mapobjects/jets/jet_2.tga
                blendFunc add
                tcmod scroll 3 -.5
                rgbGen wave inversesawtooth -.3 1.3 0 .5
	}
}

textures/pyrmageddon/nebula3dyv
{
        qer_editorimage textures/skies2/nebula3.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
      q3map_lightsubdivide 512
      q3map_lightimage textures/skies/proto_sky.tga
	q3map_sun	.90 .90 .95 65 175 60	
	q3map_surfacelight 90
      q3map_backsplash 0 0

        skyparms textures/skies2/env/nebula3 - -

}

textures/pyrmageddon/pewter_shineynonsolid
{   
     qer_editorimage textures/base_trim/pewter_shiney.tga
        surfaceparm trans
        surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nomarks
 
        {
                map textures/effects/tinfx.tga  
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/pyrmageddon/border11cred
{
	q3map_surfacelight 300
	q3map_lightimage textures/base_trim/border11c_pulse1red.tga
	qer_editorimage textures/base_trim/border11c.tga
	
	{
		map textures/base_trim/border11c.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map textures/base_trim/border11c_light.tga
		blendfunc gl_one gl_one
		rgbgen wave sin 1 .1 0 5
	}


	{
		map textures/base_trim/border11c_pulse1red.tga
		blendfunc gl_one gl_one
//		tcmod scale .01 1
		tcmod scale .035 1
//		tcmod scroll -0.5 0
		tcmod scroll -0.65 0


	}

	
}
textures/pyrmageddon/techfloor_bluedyv
{    
     	surfaceparm	metalsteps
	surfaceparm 	alphashadow
	surfaceparm	nomarks	   
        qer_editorimage textures/base_wall2/techfloor_kc.tga
        
        {
		clampmap textures/base_wall2/zzztblue_kc.tga
               	alphaFunc GE128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthWrite
	}
        {
                clampmap textures/base_wall2/techfloor2_kc.tga
		blendFunc blend
                tcmod rotate 180
		depthFunc equal
                tcMod stretch sin .8 0.1 0 .4
	        rgbGen identity
	}
        
	{
		map textures/base_wall2/techfloor_kc.tga
                blendFunc blend
		depthFunc equal
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	{
	        map textures/base_wall2/techfloor_kc_shadow.tga
                blendfunc filter
	        rgbGen identity
	}

        
}

textures/pyrmageddon/redmetalsupportpyr
{
	q3map_surfacelight 100
	q3map_lightimage textures/tim/redmetalsupport2fline_glow.tga
        q3map_backsplash 0 0
        qer_editorimage textures/tim/redmetalsupport2fline_glow.tga
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/tim/redmetalsupport2fline.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}

	{
		map textures/tim/redmetalsupport2fline_glow.tga
		blendFunc add	
		rgbGen wave sin .5 .5 0 1	
	}


}
textures/pyrmageddon/bluemetalsupportpyr
{
	q3map_surfacelight 100
	q3map_lightimage textures/base_wall/bluemetalsupport2fline_glow.tga
        q3map_backsplash 0 0
        qer_editorimage textures/base_wall/bluemetalsupport2fline_glow.tga
	{
		map textures/base_wall/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetalsupport2fline.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}

	{
		map textures/base_wall/bluemetalsupport2fline_glow.tga
		blendFunc add	
		rgbGen wave sin .5 .5 0 1	
	}


}

textures/pyrmageddon/bluemidtrim_vert
{
	qer_editorimage textures/proto2/bluemidtrim.tga
	surfaceparm pointlight
     q3map_forcesunlight

	{
		map textures/pyrmageddon/bluemidtrim_dark.tga
		rgbGen vertex
	}
}

textures/pyrmageddon/redmidtrim_vert
{
	qer_editorimage textures/proto2/redmidtrim.tga
	surfaceparm pointlight
      q3map_forcesunlight

	{
		map textures/pyrmageddon/redmidtrim_dark.tga
		rgbGen vertex
	}	
}

textures/pyrmageddon/atech2_c_vert
{
	qer_editorimage textures/base_wall/atech2_c.tga
	surfaceparm pointlight
     //q3map_forcesunlight

	{
		map textures/base_wall/atech2_c.tga
		rgbGen vertex
	}
}

textures/pyrmageddon/bluemidtrim_vert_ns
{
	qer_editorimage textures/proto2/bluemidtrim.tga
	surfaceparm pointlight
     q3map_novertexshadows
     q3map_forcesunlight

	{
		map textures/pyrmageddon/bluemidtrim_dark.tga
		rgbGen vertex
	}
}

textures/pyrmageddon/redmidtrim_vert_ns
{
	qer_editorimage textures/proto2/redmidtrim.tga
	surfaceparm pointlight
      q3map_novertexshadows
      q3map_forcesunlight

	{
		map textures/pyrmageddon/redmidtrim_dark.tga
		rgbGen vertex
	}	
}

textures/pyrmageddon/skull_red_dcl
{   
	qer_editorimage  textures/pyrmageddon/redmidtrim_dark.tga
     surfaceparm	nomarks 
     surfaceparm	trans  
     nomipmaps
     surfaceparm pointlight
        
        {
		map textures/pyrmageddon/pjdecal_red.tga
                blendFunc add
		rgbGen vertex
	}
}

textures/pyrmageddon/skull_blue_dcl
{    
	qer_editorimage  textures/pyrmageddon/pjdecal_blue.tga
     surfaceparm	nomarks 
     surfaceparm	trans  
     nomipmaps
     surfaceparm pointlight
        
        {
		map textures/pyrmageddon/pjdecal_blue.tga
                blendFunc add
		rgbGen vertex
	}
}

